<?php
require_once "connect.php";
require_once "inc/messages.php";
require_once 'inc/usuario.php';
require_once "inc/movimentacoes_class.php";
checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario = getLoggedUser();
$id_usuario = $usuario['id'];
$id_unidade = $usuario['unidade'];

$doc_manual = $_POST['documento_manual'];
$id_local = $doc_manual['id_local'];

if(isset($doc_manual['id_documento'])){
    $id = $doc_manual['id_documento'];
}
$ds_doc = $doc_manual['ds_documento'];
$id_tipo_movimentacao = $doc_manual['id_tipo_entrada_padrao'];

$pedidos_venda = $_POST['pedidos_venda'];

$vl_total_pedido = str_replace(".","",$pedidos_venda['vl_total_produtos']);
$vl_total_pedido = str_replace(",",".",$vl_total_pedido);

$redirect = 'erpc_documento_manual_entrada_filter.php';

if(isset($_POST['btn-add']) || isset($_POST['btn-addprocessar'])){
    $sql_doc_entrada = "insert into erpc_documento_manual (id_unidade, id_local, id_tipo_movimentacao, ds_documento, dh_criacao, vl_total_doc, id_usuario, st_ativo, id_tipo_documento) values
                         ($id_unidade, $id_local, '$id_tipo_movimentacao', '$ds_doc', NOW(), $vl_total_pedido, $id_usuario, 1, 0)";
    
    mysqli_query($conexao, $sql_doc_entrada) or die(mysqli_error($conexao));
    $id_documento = mysqli_insert_id($conexao);
    
    foreach($pedidos_venda['itens'] as $item){
        $id_produto = $item['id_produto'];
        $id_tipo_movimentacao = $item['id_tipo_movimentacao'];
        $id_unidade_medida = $item['id_unidade_medida'];
        $nr_qtd = $item['nr_quantidade'];
        $vl_item = str_replace("R$ ","",$item['vl_unitario']);
        $vl_item = str_replace(".","",$vl_item);
        $vl_item = str_replace(",",".",$vl_item);
        $vl_desconto = str_replace("R$ ","",$item['vl_desconto_produto']);
        $vl_desconto = str_replace(".","",$vl_desconto);
        $vl_desconto = str_replace(",",".",$vl_desconto);
        
        $nr_perc_ipi = str_replace(",",".", $item['nr_perc_ipi']);
        $nr_perc_icms = str_replace(",",".", $item['nr_perc_icms']);
        $vl_ipi = str_replace(",",".", $item['nr_perc_icms']);
        $vl_icms = str_replace(",",".", $item['vl_icms']);
        
        $sql_item = "insert into erpc_documento_manual_itens 
                                ( id_documento_entrada, id_tipo_movimentacao, id_produto, id_unidade_medida, nr_quantidade
    							 ,vl_unitario, vl_desconto, vl_ipi, vl_icms, nr_perc_ipi, nr_perc_icms) 
                        VALUES  ( $id_documento, $id_tipo_movimentacao, $id_produto, '$id_unidade_medida',$nr_qtd
                                 ,$vl_item, $vl_desconto, $vl_ipi, $vl_icms, $nr_perc_ipi, $nr_perc_icms) ";
        mysqli_query($conexao,$sql_item);
    }
    
    if(isset($_POST['btn-addprocessar'])){
        $processador = new Movimentacao();
        $processador->entradaEstoque($id_documento, 4);
        //chamar método para processar saldos

        $update = "update erpc_documento_manual set dh_processamento = NOW() where id = $id_documento";
        mysqli_query($conexao, $update);
    }
}elseif(isset($_POST['btn-edit']) || isset($_POST['btn-processar'])){
   
    $sql_update = "update erpc_documento_manual set 
                             id_unidade = $id_unidade
                            ,id_local = $id_local
                            ,id_tipo_movimentacao = '$id_tipo_movimentacao'
                            ,ds_documento = '$ds_doc'
                            ,vl_total_doc = $vl_total_pedido
                            ,id_usuario = $id_usuario
                        where id = $id ";

    mysqli_query($conexao, $sql_update) or die(mysqli_error($conexao));

    $sql_clear_itens = "delete from erpc_documento_manual_itens where id_documento_entrada = $id";
    mysqli_query($conexao, $sql_clear_itens) or die(mysqli_error($conexao));
    
    foreach($pedidos_venda['itens'] as $item){
        $id_produto = $item['id_produto'];
        $id_tipo_movimentacao = $item['id_tipo_movimentacao'];
        $id_unidade_medida = $item['id_unidade_medida'];
        $nr_qtd = $item['nr_quantidade'];
        $nr_qtd = str_replace(".","",$nr_qtd);
        $nr_qtd = str_replace(",",".",$nr_qtd);
        $vl_item = str_replace("R$ ","",$item['vl_unitario']);
        $vl_item = str_replace(".","",$vl_item);
        $vl_item = str_replace(",",".",$vl_item);
        $vl_desconto = str_replace("R$ ","",$item['vl_desconto_produto']);
        $vl_desconto = str_replace(".","",$vl_desconto);
        $vl_desconto = str_replace(",",".",$vl_desconto);
        
        $nr_perc_ipi = str_replace(",",".", $item['nr_perc_ipi']);
        $nr_perc_icms = str_replace(",",".", $item['nr_perc_icms']);
        $vl_ipi = str_replace(",",".", $item['nr_perc_icms']);
        $vl_icms = str_replace(",",".", $item['vl_icms']);
        
        $sql_item = "insert into erpc_documento_manual_itens
                                ( id_documento_entrada, id_tipo_movimentacao, id_produto, id_unidade_medida, nr_quantidade
    							 ,vl_unitario, vl_desconto, vl_ipi, vl_icms, nr_perc_ipi, nr_perc_icms)
                        VALUES  ( $id, $id_tipo_movimentacao, $id_produto, '$id_unidade_medida',$nr_qtd
                                 ,$vl_item, $vl_desconto, $vl_ipi, $vl_icms, $nr_perc_ipi, $nr_perc_icms) ";
        mysqli_query($conexao, $sql_item) or die (mysqli_query($conexao));
        
        
    }
    
    if(isset($_POST['btn-processar'])){
        
        $processador = new Movimentacao();
        $processador->entradaEstoque($id, 4);
        
        $update = "update erpc_documento_manual set dh_processamento = NOW() where id = $id";
        mysqli_query($conexao, $update);
   
    }
}elseif(isset($_POST['processar'])){
  
}
header("Location: $redirect");
